<mat-card class="card_style">
    <mat-card-header>
        <h2>New User</h2>
    </mat-card-header>
    <mat-card-content>
        <form #f="ngForm" (ngSubmit)="AddUser()">
            <table>
                <tr>
                    <th>Name:</th>
                    <td>
                        <input type="text" name="name" [(ngModel)]="newuser.Name"> 
                    </td>
                </tr>
                <tr>
                    <th>Email:</th>
                    <td>
                        <input type="text" name="email" [(ngModel)]="newuser.Email">
                    </td>
                </tr>
                <tr>
                    <th>Street:</th>
                    <td>
                        <input type="text" name="street" [(ngModel)]="newuser.Street"> 
                    </td>
                </tr>
                <tr>
                    <th>City:</th>
                    <td>
                        <input type="text" name="city" [(ngModel)]="newuser.City">
                    </td>
                </tr>
                <tr>
                    <th>ZipCode:</th>
                    <td>
                        <input type="text" name="zip" [(ngModel)]="newuser.Zipcode">
                    </td>
                </tr>
            </table>
            <button mat-raised-button class="buttons" color="accent">Add</button>
        </form>        
    </mat-card-content>
</mat-card>